import { Stack } from "@mui/material";
import { JobStatus } from "../JobStatus";
import { StartAndDuration } from "@ess-ics/ce-ui-common";
import { JobDetails } from "../../../store/deployApi";

interface JobStatusColumnProps {
  job: JobDetails;
}

export const JobStatusColumn = ({ job }: JobStatusColumnProps) => (
  <Stack>
    <Stack gap={0.5}>
      <JobStatus status={job.status} />
      <StartAndDuration
        createdAt={job.createdAt}
        startTime={job?.startTime}
        finishedAt={job?.finishedAt}
      />
    </Stack>
  </Stack>
);
